#include "screenhack.h"
#include <GL/gl.h>
#include <GL/glx.h>

GLXContext
init_GL(Display *, Window, XWindowAttributes *);

char *progclass = "Rollercoaster";
XrmOptionDescRec options [] = { { 0, 0, 0, 0 } };
char *defaults [] = { NULL };

/* name of the file containing track description */
char *trackName = "rc2k.trk";
static int stereoFlag = 0;
float viewAngle = 60.0f;
static float eyeDist = 0.005f;
static float focalLength = 0.05f;

int InitializeRoller(char *, int, int, int, float, float, float);
int DrawGLScene();

void screenhack (Display* dpy, Window w)
{
    XWindowAttributes xwa;
    GLXContext ctx;
    GLboolean db;

    /* If we are here we are pretty much sure that the drawable is valid */
    XGetWindowAttributes(dpy, w, &xwa);

    ctx = init_GL(dpy, w, &xwa);

    glGetBooleanv(GL_DOUBLEBUFFER, &db);

    InitializeRoller(trackName,xwa.width,xwa.height,stereoFlag,viewAngle,eyeDist,focalLength);

    while(1)
    {
        DrawGLScene();

        if (db)
            glXSwapBuffers(dpy, w);

        XSync(dpy, False);
        screenhack_handle_events (dpy);

#if 0
        screenhack_usleep(5000);
#endif
    }
}
